Subject: [bug#72912] [PATCH 0/1] Update Minetest to 5.9.0 (again)

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 10 Sep 2024 06:29:35 +0200

Am Montag, dem 09.09.2024 um 23:37 +0200 schrieb Jan Wielkiewicz:
> On Fri, 06 Sep 2024 20:19:06 +0200
> Liliana Marie Prikler <[email-masked]> wrote:
> 
> > Am Freitag, dem 06.09.2024 um 13:45 -0400 schrieb Leo Famulari:
> > > So, I'm wondering if minetest-game should depend on or even
> > > propagate minetest? Like, what is the correct method for a new
> > > user
> > > to install and run the Minetest game with Minetest 5.9.0?
> > I would guess it's `guix install minetest minetest-game', but note
> > that you could also have `guix install minetest minetest-
> > mineclone`.
> > I would use the same pattern that we already use for Guile, Emacs,
> > etc. and just require that the base package be in the profile.
> > 
> > Cheers
> 
> By this you mean I'd have to add minetest as a propagated input for
> each package that needs it to run? I could do that, but I believe
> this is out of the scope of the current work. I'll update minetest
> packages in a future PR and while doing so I'll add minetest to
> propagated inputs.
No, I mean that it'd be the user who adds minetest on top of whatever
minetest-* they want to their profile, which can be done as-is.

> But right now packages don't depend on minetest and putting that in
> this issue would be scope creep.
> 
> Is there anything else I need to do in order to get this merged?
You would have to look for that in other discussions – I'll check at a
later time.

Cheers